Name:           thinkfinger
Version:        0.3
Release:        8%{?dist}
Summary:        A driver for the UPEK/SGS Thomson Microelectronics fingerprint reader
Group:          System Environment/Base
License:        GPLv2+
URL:            http://thinkfinger.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        README.thinkfinger
Patch0:         thinkfinger-0.3-birdir.patch
Patch1:         thinkfinger-0.3-acl.patch
Patch2:         thinkfinger-0.3-has-device.patch
Patch3:         thinkfinger-0.3-hal.patch
Patch4:         thinkfinger-0.3-policykit.patch
Patch5:         thinkfinger-refuse-remote-login-thoenig-01.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libusb-devel >= 0.1.11
BuildRequires:  libacl-devel
BuildRequires:  pam-devel
BuildRequires:  doxygen
Requires:       hal
Requires:       PolicyKit

%description
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016). The device is being found either as a standalone USB
device, built into USB keyboards or built into laptops.  The following laptop
vendors are using the device:

- Dell
- IBM/Lenovo
- Toshiba

Toshiba is shipping their laptops either with the UPEK/SGS Thomson
Microelectronics fingerprint reader or with a fingerprint reader built by
AuthenTec. The AuthenTec fingerprint reader is *not* supported by ThinkFinger.

SONY laptops with the UPEK/SGS Thomson Microelectronics fingerprint reader are
not supported.

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libusb-devel
Requires:       pkgconfig

%description    devel
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016). The device is being found either as a standalone USB
device, built into USB keyboards or built into laptops.  The following laptop
vendors are using the device:

- Dell
- IBM/Lenovo
- Toshiba

Toshiba is shipping their laptops either with the UPEK/SGS Thomson
Microelectronics fingerprint reader or with a fingerprint reader built by
AuthenTec. The AuthenTec fingerprint reader is *not* supported by ThinkFinger.

SONY laptops with the UPEK/SGS Thomson Microelectronics fingerprint reader are
not supported. This package contains development files for %{name}.

%prep
%setup -q
#%patch0 -p1 -b .securitydir
# Preserve the timestamp on the autoconf source file
touch -r configure.in configure.in.stamp
%patch1 -p1 -b .acl
touch -r configure.in.stamp configure.in
%patch2 -p1 -b .has-device
%patch3 -p1 -b .hal
%patch4 -p1 -b .policykit
%patch5 -p0 -b .sshdcrash
%{__install} -pm 644 %{SOURCE1} README.Fedora


%build
%configure --disable-static \
           --with-securedir=/%{_lib}/security \
           --enable-console-perms=yes
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#kill libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/libthinkfinger.la

#create folder where fingerprints will be stored
%{__mkdir} -p $RPM_BUILD_ROOT%{_sysconfdir}/pam_thinkfinger

#load uinput module automatically
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/modules
cat >$RPM_BUILD_ROOT/etc/sysconfig/modules/thinkfinger.modules <<EOF
#!/bin/sh
/sbin/modprobe uinput >/dev/null 2>&1
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README README.Fedora
%{_libdir}/libthinkfinger.so.*
/%{_lib}/security/pam_thinkfinger.so
%{_sbindir}/tf-tool
%{_mandir}/man1/tf-tool.1.gz
%{_mandir}/man8/pam_thinkfinger.8.gz
%{_sysconfdir}/pam_thinkfinger
%{_sysconfdir}/security/console.perms.d/*
%{_datadir}/hal/fdi/policy/10osvendor/*
%{_datadir}/PolicyKit/policy/*
%config %attr(0755,root,root)/etc/sysconfig/modules/thinkfinger.modules 

%files devel
%defattr(-,root,root,-)
%doc docs/autodocs/html/*
%{_includedir}/libthinkfinger.h
%{_libdir}/libthinkfinger.so
%{_libdir}/pkgconfig/libthinkfinger.pc



%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-8
- Autorebuild for GCC 4.3

* Mon Oct 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-7
- New README.Fedora, thanks to Jon Fautley (RH #356281)

* Tue Oct  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-6
- Fixed remote login sshd crash (RH #324181)

* Wed Sep 26 2007 Mike Bonnet <mikeb@redhat.com> - 0.3-5
- put fdi file in policy/ directory
- use PolicyKit to manage fingerprint reader access

* Wed Sep  5 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-4
- Patched to allow non-root users, making screensavers work. Patches by William Jon McCann and Mike Bonnet (RH #256107)

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-3
- Adjusted License tag as per latest guidelines

* Fri May 18 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-2
- Merged Jose Plans' changes (RH #237817)

* Fri Apr 13 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.3-1
- Updated to 0.3
- Added uinput loading snippet

* Tue Feb 20 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.2-4
- Fixed Source0 URL

* Mon Feb 19 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.2-3
- Added libusb-devel to -devel subpackage Requires

* Mon Feb 19 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.2-2
- Fixed stripping problem properly

* Mon Feb 19 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.2-1
- Initial RPM release
